Subject: Re: rend386

From: Dave Stampe-Psy+Eng <dstamp@watserv1>
Date: Tue, 17 Mar 92 16:16:23 -0500

> From [email-masked] Tue Mar 17 09:06:43 1992
> From: [email-masked]
> To: [email-masked]
> Subject: rend386
> Cc: rend386@sunee
> 
> 	I have been following the progress of rend386 with great intrest.
> I was wondering if you are planning to incorporate the code with the glove
> and possibly the sega glasses.  If not, is there someone else following
> the 386 renderer that is?  I was just wondering what the end result of your
> work was in terms of hardware.  And if you had any speculations on a time-table.
> Thanks for your time.
> 

Well, we've had one offer to integrate it to pwerglove code, but 
nothing else so far.  And since the powerglove code is due for an
upgrade anyway (I hope to look at it sometime in March...).  The
REND386 was designed to be used with Sega glasses: problem is just
how to sync it to card scanning without sitting and waiting for the
sync switch (since some VGA cards don't do vertical interrupts, it's
not trivial...)

Next upgrade will certainly add 256-color support (it's already in
there, in the form of "user-defined" color set and polyblit calls,
and the fast 256-color polyblit code.  Seems no one has tried it 
themselves, though...).  Object motion is now in C code, and just
needs assemblyizing.  Rudimentary collision detection... Maybe.  I'd
really like to get the scanline renderer added in the next upgrade too,
but it depends on time.  All this should be done by late April/early May.

Eventually, I'll be running it with a Powerglove (maybe modified a bit)
a pair of modified VGA cards, a HMD consisting of 2 4" B&W TVs and 
Fresnel lenses (just have to mount the stuff) and a head-tracker using
a video tracker card I developed and a $200 RC modelling camera.  Hope
to be done by September.

- Dave STampe